Subject: Re: [Tools-discuss] Gen-ART review of draft-ietf-sip-rph-new-namespaces-03.txt

From: Cullen Jennings <[email-masked]>
Date: Thu, 23 Oct 2008 15:37:20 -0600

Folks, not sure that anyone needs to reply to this but I wanted you to  
be aware of issues some folks where having ....

On Oct 21, 2008, at 11:09 AM, James M. Polk wrote:

> At 11:24 AM 10/21/2008, Cullen Jennings wrote:
>
>> On Oct 20, 2008, at 4:00 PM, James M. Polk wrote:
>>
>>> Now, that said - should I submit -04 with these minor changes before
>>> Thursday's meeting?
>>>
>>> The changes are mostly deletions, with 3 or 4 other parts that I
>>> changed a word or two.
>>>
>>> I also corrected the middle 20 namespaces listed at the beginning of
>>> section 2.
>>>
>>> I'm waiting until someone tells me to do something
>>
>> If you can get the new version in today or tomorrow, please do that.
>
> I'm trying - but the tool isn't letting me submit the ID.  First the  
> tool tells me I don't have a submission date, or it is in the wrong  
> format. Then, when I submit it manually (by adjusting the meta-data  
> for the date ) it claims I need to put my given and family name in  
> the ID before it will accept my submission.  Gee, I didn't think I  
> had to tell any reader who wrote the doc... when did that become a  
> requirement? In the ~240 previous IDs I've submitted it was never a  
> requirement....
>
> grrrrrrrrrrrrrr!!!!!!!!!!!!
>
> I **HATE** that there is no "I want the tool to accept what I've  
> submitted anyway" button...
>
> FYI -- here's the first page of the ID, perhaps someone else can  
> tell me what's wrong with this page (which is preventing this  
> submission)?
>
>
> SIP Working Group                                            James  
> Polk
> Internet-Draft                                            Cisco  
> Systems
> Expires: April 21st, 2009                              October 21,  
> 2008
> Intended Status: Standards Track (as PS)
>
>
>       IANA Registration of New Session Initiation Protocol (SIP)
>                      Resource-Priority Namespaces
>                draft-ietf-sip-rph-new-namespaces-04.txt
>
> Status of this Memo
>
>   By submitting this Internet-Draft, each author represents that any
>   applicable patent or other IPR claims of which he or she is aware
>   have been or will be disclosed, and any of which he or she becomes
>   aware will be disclosed, in accordance with Section 6 of BCP 79.
>
>   Internet-Drafts are working documents of the Internet Engineering
>   Task Force (IETF), its areas, and its working groups.  Note that
>   other groups may also distribute working documents as Internet-
>   Drafts.
>
>   Internet-Drafts are draft documents valid for a maximum of six
>   months and may be updated, replaced, or obsoleted by other documents
>   at any time.  It is inappropriate to use Internet-Drafts as
>   reference material or to cite them other than as "work in progress."
>
>   The list of current Internet-Drafts can be accessed at
>   http://www.ietf.org/ietf/1id-abstracts.txt.
>
>   The list of Internet-Draft Shadow Directories can be accessed at
>   http://www.ietf.org/shadow.html.
>
>   This Internet-Draft will expire on April 21, 2009.
>
> Copyright Notice
>
>   Copyright (C) The IETF Trust (2008).
>
> Abstract
>
>   This document creates additional Session Initiation Protocol (SIP)
>   Resource-Priority namespaces to meet the requirements of the US
>   Defense Information Systems Agency, and places these namespaces in
>   the IANA registry.
>
>
>
>
>
>
>
> Polk                     Expires April 21, 2009                [Page  
> 1]
> Internet-Draft       New SIP RPH Namespaces for DISA           Oct  
> 2008
>
>
>
>> Thanks, Cullen
>

_______________________________________________
Tools-discuss mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/tools-discuss

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 23 Oct 2008 17:47:30 -0500

I discovered a workaround to this failure

because the Expires date and the submission date are on the same line 
(one explicitly identified - and one implicit), the tool seemed to 
have a problem distinguishing between the two.

once I moved the Expires date to another line (while not changing the 
submission date) - the upload tool worked fine.

I'm thinking the upload tool or the ID checker tool couldn't figure 
out why there were two dates associated with the explicit Expires 
identification - even though there were approximately 40 space 
characters between the two dates -- creating a very easy human 
understandable segregation between the two.

One of the tools couldn't make this visual decision.

BTW - I've submitted over 240 IDs to date, and each of the individual 
IDs where I am the only author have (for years) had the Expires date 
and the submission date on the same line (though I have not checked 
all of them, a good sampling of my submissions is consistent with 
this conclusion).

Therefore - I'm observing either a bug or a change (or both) in the 
upload tool.

---

From: Henrik Levkowetz <[email-masked]>
Date: Fri, 24 Oct 2008 02:59:11 +0200

> understandable segregation between the two.

Idnits has no problem with the two dates on the same line, but the
submission tool is broken in this regard.

> Therefore - I'm observing either a bug or a change (or both) in the 

Oh, it's a bug all right.  I expect this is already fixed in the re-
write Bill is working on.

	Henrik

---

From: "James M. Polk" <[email-masked]>
Date: Thu, 23 Oct 2008 23:32:08 -0500

Henrik

Thank you!

James